Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 283993 - tellico 1.3.5 doesn't compile with gcc 4.4.1 and glibc 2.10.1
Summary: tellico 1.3.5 doesn't compile with gcc 4.4.1 and glibc 2.10.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on: 281065
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-09-07 16:18 UTC by sven.jonsson
Modified: 2009-09-23 08:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sven.jonsson 2009-09-07 16:18:17 UTC
When compiling I get the following error:
DB.cpp:246: error: reinterpret_cast from type 'const void*' to type 'PalmLib::pi_char_t*' casts away constness


And when I look at the code, that is exactly what happens. By the look of it, it should be cast to 'const pi_char_t*'

Reproducible: Always

Steps to Reproduce:
1.Install gcc 4.4.1
2.Install glibc 2.10.1 (I'm not sure if this is necessary)
3.Try to rebuild Tellico 1.3.5

Actual Results:  
The Tellico build fails

Expected Results:  
It should compile just fine

Use flags: cddb xinerama yaz
Comment 1 Samuli Suominen gentoo-dev 2009-09-10 13:45:25 UTC
See bug 281065.
Comment 2 Samuli Suominen gentoo-dev 2009-09-23 08:58:40 UTC
Fixed by 2.0, a KDE4 version.